%define name krb5-getcert
%define path /usr/
%define version 1.9
%define release 5.slf5

Summary: Convert a kerberos ticket to a pkcs12 certificate
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
License: GPL
URL: http://security.fnal.gov/tools/index.html
Group: Fermi
BuildArchitectures: noarch
Packager: Troy Dawson <dawson@fnal.gov>
BuildRoot: %{_tmppath}/%{name}-%{version}
Epoch: 50

%description
This script will try to get an x509 cert from
the FNAL KCA and convert it into a pkcs12 file
then attempt to auto-import it into Mozilla &
FireFox if possible

%prep
%setup
rm -rf $RPM_BUILD_ROOT

%install
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/bin
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/share/man
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/share/man/man1

install -m 0755 get-cert.sh $RPM_BUILD_ROOT/%{path}/bin/get-cert.sh
install -m 0755 get-cert.sh $RPM_BUILD_ROOT/%{path}/bin/get-cert
install -m 0755 get-cert.sh $RPM_BUILD_ROOT/%{path}/bin/getcert
install -m 0755 kx509 $RPM_BUILD_ROOT/%{path}/bin/kx509
install -m 0755 kxlist $RPM_BUILD_ROOT/%{path}/bin/kxlist
install -m 0644 get-cert.1 $RPM_BUILD_ROOT/%{path}/share/man/man1/get-cert.1

%files
%{path}/bin/getcert
%{path}/bin/get-cert
%{path}/bin/get-cert.sh
%{path}/bin/kx509
%{path}/bin/kxlist
%{path}/share/man/man1/*

%changelog
* Wed May 30 2007 Troy Dawson <dawson@fnal.gov> 1.9-4
- removed certutil and pk12util - they are already in the release
- added kx509 and kxlist

* Tue May 29 2007 Troy Dawson <dawson@fnal.gov> 1.8d-3
- First pass at the spec file
